<?php
namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Console\Commands\MigrateMaster;
use App\Console\Commands\MigrateTenants;

class MigrationServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->singleton(\App\Services\MigrationService::class);
    }

    public function boot()
    {
        if ($this->app->runningInConsole()) {
            $this->commands([
                MigrateMaster::class,
                MigrateTenants::class,
            ]);
        }
    }
}
